Subject: [MOBILE-IP] 3Gwireless-ext-04

From: Basavaraj Patil <[email-masked]>
Date: Mon, 21 Aug 2000 09:38:06 -0500

From the current debate on the list regarding the I-D
draft-ietf-mobileip-3gwireless-ext-04.txt, it seems that
the authors are unwilling to respond to concerns raised
a this point in time because of it being already approved
and implemented in 3GPP2. The I-D is currently in IETF
last call and as such any concerns raised have to be
addressed. The fact that the I-D passed WG last call does
not guarantee that the IESG will approve it. And issues can
be raised during any last call. It's not too late in the process
to raise concerns about the I-D.

In order to make any progress on this I-D now, I would recommend
that the issues be addressed and solved.

Regards,
-Basavaraj

---

From: "[email-masked]" <[email-masked]>
Date: Mon, 21 Aug 2000 07:51:01 -0700

I believe that one of the co-authors has stated that they are willing to
update the document to address the objections that were raised. The co-author
also has a very valid point, IMHO.

One of Charlie's objections is that the draft should rely on the techniques
described in the Route Optimization I-D. One of the problems, of course, is
that the Route Optimization I-D hasn't really been going anywhere for some
time, so imposing that the 3G draft (and possibly all future handoff work)
depend upon the R.O. draft, may not be wise.

Perhaps the R.O draft could be split into two. Some basic non-controversial
functionality could perhaps be moved into a separate draft, and this is the
draft the 3G draft would rely upon. The more controversial portions of the
R.O. draft would be separated, and would not hold any future handoff work up
in the WG.

Comments?

PatC

---

From: Pete McCann <[email-masked]>
Date: Mon, 21 Aug 2000 10:19:18 -0500

Raj,

We are perfectly willing to make reasonable changes; I certainly do
not think that 3GPP2's process trumps the IETF process.

What was worrisome to me was that Charles' comments seemed to indicate
a desire to kill the draft entirely, by including a few minor "tweaks"
to the existing Route Optimization draft.  I want to state in the
strongest possible terms that the basic architectural decisions made
in the 3gwireless draft, most importantly the transparency
requirement, the use of GRE tunneling, and the inclusion of link-layer
identification information in the tunnel establishment messages are at
the core of what the draft is trying to accomplish.  Because 3GPP2 has
made these decisions, they will be implementing something like the
3gwireless draft as an interface between RNNs and PDSNs.  While this
does not mean the current draft as written is set in stone, it does
mean that to document something completely different here in the IETF
would be pointless.

I think Pat's comments are a good place to start the discussion on
whether to use the Binding Update message.  I still would argue
against this (yes, partly based on a desire to get the draft finished
as quickly as possible) but I am willing to accept the consensus of
the working group.

-Pete

>> From the current debate on the list regarding the I-D
BP> draft-ietf-mobileip-3gwireless-ext-04.txt, it seems that
BP> the authors are unwilling to respond to concerns raised
BP> a this point in time because of it being already approved
BP> and implemented in 3GPP2. The I-D is currently in IETF
BP> last call and as such any concerns raised have to be
BP> addressed. The fact that the I-D passed WG last call does
BP> not guarantee that the IESG will approve it. And issues can
BP> be raised during any last call. It's not too late in the process
BP> to raise concerns about the I-D.

BP> In order to make any progress on this I-D now, I would recommend
BP> that the issues be addressed and solved.

BP> Regards,
BP> -Basavaraj